Subject: Re: F-4EJ
From: "Steve Bamford" <[email-masked]>
To: "Drewe Manton" <[email-masked]>
Date: Mon, 21 May 2001 17:29:55 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
----- Original Message -----
From: Drewe Manton <[email-masked]>
To: Steve Bamford <[email-masked]>
Sent: Wednesday, April 11, 2001 2:15 PM
Subject: F-4EJ

> Steve, Here's another for the queue:-
>
> Hasegawa F-4EJ Kai Phantom II
> This is Hasegawa's F-4EJ Kai, builr as with most of my kits straight from
> the box with only the most ovious detailing. . .   There isn't a whole lot
> to say about this kit, except that ten years (!) after it's release it's
> still the finest Phantom available in 1/72nd. . Revell's new release is
> lovely, but has a few outline problems that keep it in second place to
this
> piece of modelling Nirvana.  I have a pile of these models on the "to do"
> pile, and still buy them when I see them!  Construction is pretty
> straightforward and the onlyt filler I ever use is a little around the
lower
> wing to intake joint. . a common spot on Phantoms for the filler to be
> broken out.
> The paint scheme is done with Humbrol enamels, and consists of a
36375/36320
> base camoflage with a peculiar red-brown oversprayed for fighter meets in
> typical Japanese style. for the brown I employed a deeply scientific
method
> of taking a pot of Humbrol #133 red/brown and chucking grey and white in
in
> varying amounts and giving it a stir until the colour looked about right
> from the box top photo. I wouldn't be able to repeat the mixing exercise
in
> a thousand years because it was just so random, but the final colour looks
> about right to me. The Sidewinders and Sparrows are from a Hasegawa
weapons
> set (I need some more. . I've denuded four of these sets of their AIM-9L's
> in a little more than a year!), The ejector seats are Neomega with PP
> Aeroparts ejection handles, canopy mirrors and HUD.  The metal areas on
the
> tail are Alclad II in various mixes (ahhhhh. . Alclad!). Final matt finish
> is Tamiya clear with flat base mixed in.
>    If you have yet to try this model but like the Phantom, I can only say
> rush out and get one now. . . . it is 1/72nd modelling at it's very
finest!
> --
> regards
> Drewe
> "Better the pride that resides
>  In a citizen of the world
>  Than the pride that divides
>  When a colourful rag is unfurled"
>
>
>